# RuntimeClasspathNormalization

API Documentation: | `RuntimeClasspathNormalization`

Configuration of runtime classpath normalization.

Several methods accept a file pattern to selectively normalize files. Patterns may include:

- '*' to match any number of characters
- '?' to match any single character
- '**' to match any number of directories or files

Either '/' or '\' may be used in a pattern to separate directories. Patterns ending with '/' or '\' will have '**' automatically appended.

Examples:

    all files ending with '.json' (including files in subdirectories)
       **/*.json

    all files beginning with 'build-' in the level1/level2 directory
       level1/level2/build-*

    all files (including subdirectories) beneath config/build-data
      config/build-data/

    all properties files in a build directory beneath com/acme (including subdirectories)
      com/acme/**/build/*.properties

### Properties

No properties

### Methods

Method | Description
`ignore(pattern)` | Ignore resources in classpath entries matching `pattern`.
`properties(pattern, configuration)` | Normalize files matching `pattern` as properties files, ignoring comments and property order, applying the rules provided by `configuration`.
`properties(configuration)` | Normalize all properties files according to the rules provided by `configuration`. This is equivalent to calling `RuntimeClasspathNormalization.properties(java.lang.String, org.gradle.api.Action)` with the '**/*.properties' pattern.

### Script blocks

No script blocks

### Method details

#### `void` `ignore`(`String` pattern)

Ignore resources in classpath entries matching `pattern`.

#### `void` `properties`(`String` pattern, ``Action`<? super `PropertiesFileNormalization`>` configuration)

Normalize files matching `pattern` as properties files, ignoring comments and property order, applying the rules provided by `configuration`.

#### `void` `properties`(``Action`<? super `PropertiesFileNormalization`>` configuration)

Normalize all properties files according to the rules provided by `configuration`. This is equivalent to calling `RuntimeClasspathNormalization.properties(java.lang.String, org.gradle.api.Action)` with the '**/*.properties' pattern.